# PuzzleManagerDelegate (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.puzzle.server
Class PuzzleManagerDelegate

    java.lang.Object
      com.threerings.crowd.server.PlaceManagerDelegate
          com.threerings.parlor.server.PlayManagerDelegate
              com.threerings.parlor.game.server.GameManagerDelegate
                  com.threerings.puzzle.server.PuzzleManagerDelegate

Direct Known Subclasses:
  DropManagerDelegate

    public class PuzzleManagerDelegate

extends GameManagerDelegate

Extends the `GameManagerDelegate` mechanism with puzzle manager specific methods (of which there are currently none).

Constructor Summary
`PuzzleManagerDelegate()`
`PuzzleManagerDelegate(PuzzleManager puzmgr)` Deprecated. use the zero-argument constructor.

Method Summary
`void` `didInit(com.threerings.crowd.data.PlaceConfig config)`

Methods inherited from class com.threerings.parlor.game.server.GameManagerDelegate
`gameDidEnd, gameDidStart, gameWillEnd, gameWillReset, gameWillStart, playerWasReplaced, setAI, tickAI`

Methods inherited from class com.threerings.crowd.server.PlaceManagerDelegate
`bodyEntered, bodyLeft, bodyUpdated, didShutdown, didStartup, init, placeBecameEmpty, where`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PuzzleManagerDelegate

    public PuzzleManagerDelegate()

### PuzzleManagerDelegate

    @Deprecated
    public PuzzleManagerDelegate(PuzzleManager puzmgr)

  Deprecated. use the zero-argument constructor.

Method Detail

### didInit

    public void didInit(com.threerings.crowd.data.PlaceConfig config)

  Overrides:
    `didInit` in class `PlayManagerDelegate`

Copyright © 2011. All Rights Reserved.